Spree Seller SDK
Get a policy
Returns one of this seller’s policies, by prefixed ID or slug.
GET
Spree Seller SDK
Authorizations
JWT token for an authenticated seller session (seller_api audience)
Headers
Path Parameters
Policy prefixed ID or slug
Documentation Index
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
import { createSellerClient } from '@spree/seller-sdk'
const client = createSellerClient({
baseUrl: 'https://your-store.com',
jwtToken: 'eyJhbGciOi...',
sellerId: 'sel_UkLWZg9DAJ',
})
const policy = await client.policies.get('returns-policy')curl --request GET \
--url http://{defaultHost}/api/v3/seller/policies/{id} \
--header 'Authorization: Bearer <token>' \
--header 'X-Spree-Seller-Id: <x-spree-seller-id>'{
"id": "pol_uw2YK1rnl0",
"name": "Returns Policy",
"slug": "returns-policy",
"body": "Send anything back within 30 days.",
"body_html": "<p>Send anything back within 30 days.</p>",
"updated_at": "2026-01-15T12:00:00.000Z",
"created_at": "2026-01-15T12:00:00.000Z"
}{
"error": {
"code": "record_not_found",
"message": "Policy not found"
}
}Returns one of this seller’s policies, by prefixed ID or slug.
import { createSellerClient } from '@spree/seller-sdk'
const client = createSellerClient({
baseUrl: 'https://your-store.com',
jwtToken: 'eyJhbGciOi...',
sellerId: 'sel_UkLWZg9DAJ',
})
const policy = await client.policies.get('returns-policy')curl --request GET \
--url http://{defaultHost}/api/v3/seller/policies/{id} \
--header 'Authorization: Bearer <token>' \
--header 'X-Spree-Seller-Id: <x-spree-seller-id>'{
"id": "pol_uw2YK1rnl0",
"name": "Returns Policy",
"slug": "returns-policy",
"body": "Send anything back within 30 days.",
"body_html": "<p>Send anything back within 30 days.</p>",
"updated_at": "2026-01-15T12:00:00.000Z",
"created_at": "2026-01-15T12:00:00.000Z"
}{
"error": {
"code": "record_not_found",
"message": "Policy not found"
}
}JWT token for an authenticated seller session (seller_api audience)
Policy prefixed ID or slug
Was this page helpful?
